POST https://api.zatomic.ai/v1/context/packs
API Reference
- Overview
- Versioning
- Authentication
- Workspaces
- Status Codes and Errors
- Credit Usage
- Expanding Objects
- OpenAPI Spec
- Context Items
- The Context Item Object
- Create File Context Item
- Create Text Context Item
- Update Context Item
- Delete Context Item
- Retrieve Context Item
- Retrieve All Context Items
- Context Item Versions
- The Context Item Version Object
- Create File Context Item Version
- Create Text Context Item Version
- Update File Context Item Version
- Update Text Context Item Version
- Delete Context Item Version
- Retrieve Context Item Version
- Retrieve All Context Item Versions
- Context Packs
- The Context Pack Object
- Create Context Pack
- Update Context Pack
- Delete Context Pack
- Retrieve Context Pack
- Retrieve All Context Packs
- Context Pack Versions
- The Context Pack Version Object
- Create Context Pack Version
- Update Context Pack Version
- Delete Context Pack Version
- Retrieve Context Pack Version
- Retrieve All Context Pack Versions
- Projects
- The Project Object
- Create Project
- Update Project
- Delete Project
- Retrieve Project
- Retrieve All Projects
- Prompts
- The Prompt Object
- Create Prompt
- Update Prompt
- Delete Prompt
- Retrieve Prompt
- Retrieve All Prompts
- Generate Prompt
- Prompt Versions
- The Prompt Version Object
- Create Prompt Version
- Update Prompt Version
- Delete Prompt Version
- Retrieve Prompt Version
- Retrieve All Prompt Versions
- Calculate Prompt Version Score
- Retrieve Prompt Version Score
- Generate Prompt Version Heatmap
- Retrieve Prompt Version Heatmap
- Analyze Prompt Version Balance
- Retrieve Prompt Version Balance
- Analyze Prompt Version Risk
- Retrieve Prompt Version Risk
- Improve Prompt Version
- Scoring Criteria
- The Scoring Criteria Object
- The Scoring Criterion Object
- Create Scoring Criteria
- Update Scoring Criteria
- Delete Scoring Criteria
- Retrieve Scoring Criteria
- Retrieve All Scoring Criteria
- Generate Scoring Criteria
- Create Scoring Criterion
- Update Scoring Criterion
- Delete Scoring Criterion
- Retrieve Scoring Criterion
- Scoring Criteria Results
- The Scoring Criteria Results Object
- Scoring
- The Scoring Object
- Calculate Prompt Score
- Heatmaps
- The Heatmap Object
- Generate Prompt Heatmap
- Balance
- The Balance Object
- Analyze Prompt Balance
- Risk
- The Risk Object
- Analyze Prompt Risk
Create Context Pack
Creating a new context pack requires a name and at least one context item, everything else is optional. The context pack will be created along with its first version, which becomes the context pack's primary version by default.
Endpoint
Endpoint Request
| Request Properties | |||||
|---|---|---|---|---|---|
|
name
string
|
Name of the context pack. | ||||
|
description
string, optional
|
Description for the context pack. | ||||
|
items
list of context item objects
|
Properties for the context item object:
|
||||
|
prompts
list of prompt objects, optional
|
Properties for the prompt object:
|
||||
|
version_name
string, optional
|
Name for the context pack version. | ||||
Request Body
{
"name": "Context item name",
"description": "Context item description.",
"items": [
{
"context_item_id": "Context item ID",
"version_id": "Context item version ID"
}
],
"prompts": [
{
"prompt_id": "Prompt ID",
"version_id": "Prompt version ID"
}
],
"version_name": "Context item version name"
}
Endpoint Response
A successful call returns a 201 status code with a response that contains the context pack object.
| HTTP Status Codes | ||
|---|---|---|
| 201 | Created | The context pack was created. |
| 400 | Bad Request | The context pack name was not provided in the request. |
| 400 | Bad Request | At least one context item was not provided in the request. |
| 500 | Internal Server Error | Something went wrong on Zatomic's end. |